OpenTTD Source: VehicleDefaultSettings Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
VehicleDefaultSettings Struct Reference

Default settings for vehicles. More...

`#include <settings_type.h>`

## Data Fields
bool | servint_ispercent
| service intervals are in percents
uint16_t | servint_trains
| service interval for trains
uint16_t | servint_roadveh
| service interval for road vehicles
uint16_t | servint_aircraft
| service interval for aircraft
uint16_t | servint_ships
| service interval for ships

## Detailed Description

Default settings for vehicles.

Definition at line 573 of file settings_type.h.

## Field Documentation

## ◆ servint_aircraft

uint16_t VehicleDefaultSettings::servint_aircraft

service interval for aircraft

Definition at line 577 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), CompanyServiceInterval(), and UpdateAllServiceInterval().

## ◆ servint_ispercent

bool VehicleDefaultSettings::servint_ispercent

service intervals are in percents

Definition at line 574 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), ChangeTimekeepingUnits(), CmdChangeServiceInt(), GetDefaultServiceInterval(), and ServiceIntervalSettingsValueText().

## ◆ servint_roadveh

uint16_t VehicleDefaultSettings::servint_roadveh

service interval for road vehicles

Definition at line 576 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), CompanyServiceInterval(), and UpdateAllServiceInterval().

## ◆ servint_ships

uint16_t VehicleDefaultSettings::servint_ships

service interval for ships

Definition at line 578 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), CompanyServiceInterval(), and UpdateAllServiceInterval().

## ◆ servint_trains

uint16_t VehicleDefaultSettings::servint_trains

service interval for trains

Definition at line 575 of file settings_type.h.

Referenced by ChangeOwnershipOfCompanyItems(), CompanyServiceInterval(), and UpdateAllServiceInterval().

The documentation for this struct was generated from the following file:

- src/settings_type.h